%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-hatchling
Version:       1.11.1
Release:       1mamba
Summary:       Modern, extensible Python build backend
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://hatch.pypa.io/latest/
Source:        https://pypi.debian.net/hatchling/hatchling-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(editables)
BuildRequires: python3.7dist(importlib-metadata)
BuildRequires: python3.7dist(packaging)
BuildRequires: python3.7dist(pathspec)
BuildRequires: python3.7dist(pluggy)
BuildRequires: python3.7dist(tomli)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n hatchling-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

%if "%{?with_pyver}" != "3"
mv %{buildroot}%{_bindir}/hatchling{,-%{pyappend}}
%endif

%files %{?pyappend}
%defattr(-,root,root)
%{_bindir}/hatchling*
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*

%changelog
* Thu Oct 20 2022 Automatic Build System <autodist@mambasoft.it> 1.11.1-1mamba
- automatic version update by autodist

* Sun Oct 09 2022 Automatic Build System <autodist@mambasoft.it> 1.11.0-1mamba
- automatic version update by autodist

* Sat Oct 08 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10.0-1mamba
- package created using the webbuild interface
